# Generated by Django 4.1.9 on 2023-12-11 16:01

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("ims_accounting", "0003_account_types"),
    ]

    operations = [
        migrations.RenameModel(
            old_name="VoucherStatus",
            new_name="VoucherType",
        ),
        migrations.RenameField(
            model_name="voucher",
            old_name="invoice_no",
            new_name="voucher_no",
        ),
        migrations.RemoveField(
            model_name="voucher",
            name="status",
        ),
        migrations.RemoveField(
            model_name="voucher",
            name="expiry",
        ),
        migrations.AddField(
            model_name="voucher",
            name="voucher_amount",
            field=models.PositiveIntegerField(default=0),
            preserve_default=False,
        ),
    ]
